Subject: Re: [PATCH v15 05/13] ref-filter: implement an `align` atom

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Sep 2015 09:23:53 -0700

Eric Sunshine <[email-masked]> writes:

> On Tue, Sep 1, 2015 at 2:26 PM, Karthik Nayak <[email-masked]> wrote:
>> Implement an `align` atom which left-, middle-, or right-aligns the
>> content between %(align:..) and %(end).
>
> Spell this either %(align:) or %(align:...) with three dots, not two.
> I, personally, think %(align:) is sufficient.

I agree with you that double-dot does not signal "some things are
ellided here" to a usual reader.

I actually think consistent use of %(align:...) is needed, simply
because my knee-jerk reaction to "%(align:)" was "huh?  where does
the need for the trailing colon come from?", not "ah, you try to
imply that there must be something more by having just a colon
there".